<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction elgaimpf Kompletter Immunisierungsstatus 2019 (1.2.40.0.34.777.4.4.16 2019-01-15T16:37:00)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="urn:hl7-at:v3" prefix="hl7at"/>
   <ns uri="urn:hl7-org:ips" prefix="ips"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario KompletterImmunisierungsstatus -->

   <!-- eimpf_document_KompletterImmunisierungsstatus -->
   <pattern>
      <title>eimpf_document_KompletterImmunisierungsstatus</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.40.0.34.6.0.11.0.1'] and hl7:templateId[@root = '1.2.40.0.34.7.19'] and hl7:templateId[@root = '1.2.40.0.34.6.0.11.0.4.1'][@extension = 'XDSdocumentEntry.formatCode^urn:hl7-at:eImpf:2019'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.18.1.2']]"
                 see="http://elga.art-decor.org/elgaimpf-html-20210928T094858/tmp-1.2.40.0.34.6.0.11.0.4-2021-08-24T103708.html">(eimpf_document_KompletterImmunisierungsstatus): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.40.0.34.6.0.11.0.1'] and hl7:templateId[@root = '1.2.40.0.34.7.19'] and hl7:templateId[@root = '1.2.40.0.34.6.0.11.0.4.1'][@extension = 'XDSdocumentEntry.formatCode^urn:hl7-at:eImpf:2019'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.18.1.2']]</assert>
      </rule>
   </pattern>
   <include href="include/1.2.40.0.34.6.0.11.0.4-2021-08-24T103708.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.0.4-2021-08-24T103708-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-1.2.40.0.34.6.0.11.0.4-2021-08-24T103708"/>
      <active pattern="template-1.2.40.0.34.6.0.11.2.1-2021-02-19T114643"/>
      <active pattern="template-1.2.40.0.34.6.0.11.2.2-2021-08-26T150941"/>
      <active pattern="template-1.2.40.0.34.6.0.11.2.4-2021-02-19T114430"/>
      <active pattern="template-1.2.40.0.34.6.0.11.2.5-2019-05-20T082055"/>
      <active pattern="template-1.2.40.0.34.6.0.11.2.7-2019-04-12T160634"/>
      <active pattern="template-1.2.40.0.34.6.0.11.2.71-2021-06-28T112240"/>
      <active pattern="template-1.2.40.0.34.6.0.11.2.8-2021-06-28T112805"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.1-2021-08-04T130228"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.10-2021-08-20T115721"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.11-2021-02-19T124256"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.14-2021-02-19T124340"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.15-2021-05-18T094610"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.16-2021-08-04T132451"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.168-2021-08-20T143540"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.18-2021-08-20T113823"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.19-2021-06-28T111327"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.2-2021-08-20T115512"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.20-2021-05-12T083825"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.21-2021-08-20T114318"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.22-2021-02-19T124727"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.28-2021-04-30T080924"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.3-2021-08-04T133543"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.5-2021-02-19T124642"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.8-2021-05-18T073106"/>
      <active pattern="template-1.2.40.0.34.6.0.11.3.9-2021-08-04T134115"/>
      <active pattern="template-1.2.40.0.34.6.0.11.9.14-2021-08-04T154113"/>
      <active pattern="template-1.2.40.0.34.6.0.11.9.17-2021-02-19T133615"/>
      <active pattern="template-1.2.40.0.34.6.0.11.9.21-2021-05-12T073318"/>
      <active pattern="template-1.2.40.0.34.6.0.11.9.28-2021-02-19T133632"/>
      <active pattern="template-1.2.40.0.34.6.0.11.9.31-2021-02-19T133513"/>
      <active pattern="template-1.2.40.0.34.6.0.11.9.32-2021-02-19T133722"/>
      <active pattern="template-1.2.40.0.34.6.0.11.9.44-2021-08-04T122820"/>
   </phase>
   <phase id="eimpf_document_KompletterImmunisierungsstatus">
      <active pattern="template-1.2.40.0.34.6.0.11.0.4-2021-08-24T103708"/>
   </phase>
   <phase id="eimpf_document_KompletterImmunisierungsstatus-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.0.4-2021-08-24T103708-closed"/>
   </phase>
   <phase id="atcdabrr_section_ImpfungenKodiert">
      <active pattern="template-1.2.40.0.34.6.0.11.2.1-2021-02-19T114643"/>
   </phase>
   <phase id="atcdabrr_section_ImpfungenKodiert-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.2.1-2021-02-19T114643-closed"/>
   </phase>
   <phase id="atcdabrr_section_ImpfempfehlungenKodiert">
      <active pattern="template-1.2.40.0.34.6.0.11.2.2-2021-08-26T150941"/>
   </phase>
   <phase id="atcdabrr_section_ImpfempfehlungenKodiert-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.2.2-2021-08-26T150941-closed"/>
   </phase>
   <phase id="atcdabrr_section_ExpositionsrisikoPersonengruppenKodiert">
      <active pattern="template-1.2.40.0.34.6.0.11.2.4-2021-02-19T114430"/>
   </phase>
   <phase id="atcdabrr_section_ExpositionsrisikoPersonengruppenKodiert-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.2.4-2021-02-19T114430-closed"/>
   </phase>
   <phase id="eimpf_section_ImpfrelevanteErkrankungen">
      <active pattern="template-1.2.40.0.34.6.0.11.2.5-2019-05-20T082055"/>
   </phase>
   <phase id="eimpf_section_ImpfrelevanteErkrankungen-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.2.5-2019-05-20T082055-closed"/>
   </phase>
   <phase id="eimpf_section_AntikoerperBestimmungKodiert">
      <active pattern="template-1.2.40.0.34.6.0.11.2.7-2019-04-12T160634"/>
   </phase>
   <phase id="eimpf_section_AntikoerperBestimmungKodiert-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.2.7-2019-04-12T160634-closed"/>
   </phase>
   <phase id="atcdabbr_section_Beilagen">
      <active pattern="template-1.2.40.0.34.6.0.11.2.71-2021-06-28T112240"/>
   </phase>
   <phase id="atcdabbr_section_Beilagen-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.2.71-2021-06-28T112240-closed"/>
   </phase>
   <phase id="atcdabbr_section_Uebersetzung">
      <active pattern="template-1.2.40.0.34.6.0.11.2.8-2021-06-28T112805"/>
   </phase>
   <phase id="atcdabbr_section_Uebersetzung-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.2.8-2021-06-28T112805-closed"/>
   </phase>
   <phase id="atcdabbr_entry_Immunization">
      <active pattern="template-1.2.40.0.34.6.0.11.3.1-2021-08-04T130228"/>
   </phase>
   <phase id="atcdabbr_entry_Immunization-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.1-2021-08-04T130228-closed"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationSchedule-20210820T115721">
      <active pattern="template-1.2.40.0.34.6.0.11.3.10-2021-08-20T115721"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationSchedule-20210820T115721-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.10-2021-08-20T115721-closed"/>
   </phase>
   <phase id="atcdabrr_entry_Comment">
      <active pattern="template-1.2.40.0.34.6.0.11.3.11-2021-02-19T124256"/>
   </phase>
   <phase id="atcdabrr_entry_Comment-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.11-2021-02-19T124256-closed"/>
   </phase>
   <phase id="atcdabbr_entry_externalDocument">
      <active pattern="template-1.2.40.0.34.6.0.11.3.14-2021-02-19T124340"/>
   </phase>
   <phase id="atcdabbr_entry_externalDocument-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.14-2021-02-19T124340-closed"/>
   </phase>
   <phase id="eimpf_entry_AntikoerperBestimmungDataProcessing-20210518T094610">
      <active pattern="template-1.2.40.0.34.6.0.11.3.15-2021-05-18T094610"/>
   </phase>
   <phase id="eimpf_entry_AntikoerperBestimmungDataProcessing-20210518T094610-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.15-2021-05-18T094610-closed"/>
   </phase>
   <phase id="eimpf_entry_AntikoerperBestimmungLaboratoryObservation-20210804T132451">
      <active pattern="template-1.2.40.0.34.6.0.11.3.16-2021-08-04T132451"/>
   </phase>
   <phase id="eimpf_entry_AntikoerperBestimmungLaboratoryObservation-20210804T132451-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.16-2021-08-04T132451-closed"/>
   </phase>
   <phase id="atcdabbr_entry_Zusatzklassifikation">
      <active pattern="template-1.2.40.0.34.6.0.11.3.168-2021-08-20T143540"/>
   </phase>
   <phase id="atcdabbr_entry_Zusatzklassifikation-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.168-2021-08-20T143540-closed"/>
   </phase>
   <phase id="eimpf_entry_AntikoerperBestimmungBatteryOrganizer-20210820T113823">
      <active pattern="template-1.2.40.0.34.6.0.11.3.18-2021-08-20T113823"/>
   </phase>
   <phase id="eimpf_entry_AntikoerperBestimmungBatteryOrganizer-20210820T113823-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.18-2021-08-20T113823-closed"/>
   </phase>
   <phase id="atcdabbr_entry_EingebettetesObjektEntry">
      <active pattern="template-1.2.40.0.34.6.0.11.3.19-2021-06-28T111327"/>
   </phase>
   <phase id="atcdabbr_entry_EingebettetesObjektEntry-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.19-2021-06-28T111327-closed"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationTarget">
      <active pattern="template-1.2.40.0.34.6.0.11.3.2-2021-08-20T115512"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationTarget-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.2-2021-08-20T115512-closed"/>
   </phase>
   <phase id="atcdabbr_entry_ExpositionsrisikoProblemConcern">
      <active pattern="template-1.2.40.0.34.6.0.11.3.20-2021-05-12T083825"/>
   </phase>
   <phase id="atcdabbr_entry_ExpositionsrisikoProblemConcern-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.20-2021-05-12T083825-closed"/>
   </phase>
   <phase id="atcdabbr_entry_ExpositionsrisikoProblem">
      <active pattern="template-1.2.40.0.34.6.0.11.3.21-2021-08-20T114318"/>
   </phase>
   <phase id="atcdabbr_entry_ExpositionsrisikoProblem-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.21-2021-08-20T114318-closed"/>
   </phase>
   <phase id="atcdabbr_entry_impfPlan">
      <active pattern="template-1.2.40.0.34.6.0.11.3.22-2021-02-19T124727"/>
   </phase>
   <phase id="atcdabbr_entry_impfPlan-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.22-2021-02-19T124727-closed"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationImpfungNichtAngegeben">
      <active pattern="template-1.2.40.0.34.6.0.11.3.28-2021-04-30T080924"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationImpfungNichtAngegeben-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.28-2021-04-30T080924-closed"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationRecommendation">
      <active pattern="template-1.2.40.0.34.6.0.11.3.3-2021-08-04T133543"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationRecommendation-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.3-2021-08-04T133543-closed"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationBillability">
      <active pattern="template-1.2.40.0.34.6.0.11.3.5-2021-02-19T124642"/>
   </phase>
   <phase id="atcdabbr_entry_ImmunizationBillability-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.5-2021-02-19T124642-closed"/>
   </phase>
   <phase id="eimpf_entry_ImpfrelevanteErkrankungenProblemConcern-20210518T073106">
      <active pattern="template-1.2.40.0.34.6.0.11.3.8-2021-05-18T073106"/>
   </phase>
   <phase id="eimpf_entry_ImpfrelevanteErkrankungenProblemConcern-20210518T073106-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.8-2021-05-18T073106-closed"/>
   </phase>
   <phase id="eimpf_entry_ImpfrelevanteErkrankungProblemEntry-20210804T134115">
      <active pattern="template-1.2.40.0.34.6.0.11.3.9-2021-08-04T134115"/>
   </phase>
   <phase id="eimpf_entry_ImpfrelevanteErkrankungProblemEntry-20210804T134115-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.3.9-2021-08-04T134115-closed"/>
   </phase>
   <phase id="atcdabbr_other_ParticipantBodyTranscriber">
      <active pattern="template-1.2.40.0.34.6.0.11.9.14-2021-08-04T154113"/>
   </phase>
   <phase id="atcdabbr_other_ParticipantBodyTranscriber-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.9.14-2021-08-04T154113-closed"/>
   </phase>
   <phase id="atcdabbr_other_PerformerBody">
      <active pattern="template-1.2.40.0.34.6.0.11.9.17-2021-02-19T133615"/>
   </phase>
   <phase id="atcdabbr_other_PerformerBody-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.9.17-2021-02-19T133615-closed"/>
   </phase>
   <phase id="atcdabbr_other_PerformerBodyImpfendePerson">
      <active pattern="template-1.2.40.0.34.6.0.11.9.21-2021-05-12T073318"/>
   </phase>
   <phase id="atcdabbr_other_PerformerBodyImpfendePerson-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.9.21-2021-05-12T073318-closed"/>
   </phase>
   <phase id="atcdabbr_other_PerformerBodyLaboratory">
      <active pattern="template-1.2.40.0.34.6.0.11.9.28-2021-02-19T133632"/>
   </phase>
   <phase id="atcdabbr_other_PerformerBodyLaboratory-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.9.28-2021-02-19T133632-closed"/>
   </phase>
   <phase id="atcdabbr_other_vaccineProductNichtAngegeben">
      <active pattern="template-1.2.40.0.34.6.0.11.9.31-2021-02-19T133513"/>
   </phase>
   <phase id="atcdabbr_other_vaccineProductNichtAngegeben-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.9.31-2021-02-19T133513-closed"/>
   </phase>
   <phase id="atcdabbr_other_vaccineProduct">
      <active pattern="template-1.2.40.0.34.6.0.11.9.32-2021-02-19T133722"/>
   </phase>
   <phase id="atcdabbr_other_vaccineProduct-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.9.32-2021-02-19T133722-closed"/>
   </phase>
   <phase id="atcdabbr_other_ParticipantBodyVerifier">
      <active pattern="template-1.2.40.0.34.6.0.11.9.44-2021-08-04T122820"/>
   </phase>
   <phase id="atcdabbr_other_ParticipantBodyVerifier-closed">
      <active pattern="template-1.2.40.0.34.6.0.11.9.44-2021-08-04T122820-closed"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- atcdabrr_section_ImpfungenKodiert -->
   <include href="include/1.2.40.0.34.6.0.11.2.1-2021-02-19T114643.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.2.1-2021-02-19T114643-closed.sch"/>
   <!-- atcdabrr_section_ImpfempfehlungenKodiert -->
   <include href="include/1.2.40.0.34.6.0.11.2.2-2021-08-26T150941.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.2.2-2021-08-26T150941-closed.sch"/>
   <!-- atcdabrr_section_ExpositionsrisikoPersonengruppenKodiert -->
   <include href="include/1.2.40.0.34.6.0.11.2.4-2021-02-19T114430.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.2.4-2021-02-19T114430-closed.sch"/>
   <!-- eimpf_section_ImpfrelevanteErkrankungen -->
   <include href="include/1.2.40.0.34.6.0.11.2.5-2019-05-20T082055.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.2.5-2019-05-20T082055-closed.sch"/>
   <!-- eimpf_section_AntikoerperBestimmungKodiert -->
   <include href="include/1.2.40.0.34.6.0.11.2.7-2019-04-12T160634.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.2.7-2019-04-12T160634-closed.sch"/>
   <!-- atcdabbr_section_Beilagen -->
   <include href="include/1.2.40.0.34.6.0.11.2.71-2021-06-28T112240.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.2.71-2021-06-28T112240-closed.sch"/>
   <!-- atcdabbr_section_Uebersetzung -->
   <include href="include/1.2.40.0.34.6.0.11.2.8-2021-06-28T112805.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.2.8-2021-06-28T112805-closed.sch"/>
   <!-- atcdabbr_entry_Immunization -->
   <include href="include/1.2.40.0.34.6.0.11.3.1-2021-08-04T130228.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.1-2021-08-04T130228-closed.sch"/>
   <!-- atcdabbr_entry_ImmunizationSchedule -->
   <include href="include/1.2.40.0.34.6.0.11.3.10-2021-08-20T115721.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.10-2021-08-20T115721-closed.sch"/>
   <!-- atcdabrr_entry_Comment -->
   <include href="include/1.2.40.0.34.6.0.11.3.11-2021-02-19T124256.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.11-2021-02-19T124256-closed.sch"/>
   <!-- atcdabbr_entry_externalDocument -->
   <include href="include/1.2.40.0.34.6.0.11.3.14-2021-02-19T124340.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.14-2021-02-19T124340-closed.sch"/>
   <!-- eimpf_entry_AntikoerperBestimmungDataProcessing -->
   <include href="include/1.2.40.0.34.6.0.11.3.15-2021-05-18T094610.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.15-2021-05-18T094610-closed.sch"/>
   <!-- eimpf_entry_AntikoerperBestimmungLaboratoryObservation -->
   <include href="include/1.2.40.0.34.6.0.11.3.16-2021-08-04T132451.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.16-2021-08-04T132451-closed.sch"/>
   <!-- atcdabbr_entry_Zusatzklassifikation -->
   <include href="include/1.2.40.0.34.6.0.11.3.168-2021-08-20T143540.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.168-2021-08-20T143540-closed.sch"/>
   <!-- eimpf_entry_AntikoerperBestimmungBatteryOrganizer -->
   <include href="include/1.2.40.0.34.6.0.11.3.18-2021-08-20T113823.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.18-2021-08-20T113823-closed.sch"/>
   <!-- atcdabbr_entry_EingebettetesObjektEntry -->
   <include href="include/1.2.40.0.34.6.0.11.3.19-2021-06-28T111327.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.19-2021-06-28T111327-closed.sch"/>
   <!-- atcdabbr_entry_ImmunizationTarget -->
   <include href="include/1.2.40.0.34.6.0.11.3.2-2021-08-20T115512.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.2-2021-08-20T115512-closed.sch"/>
   <!-- atcdabbr_entry_ExpositionsrisikoProblemConcern -->
   <include href="include/1.2.40.0.34.6.0.11.3.20-2021-05-12T083825.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.20-2021-05-12T083825-closed.sch"/>
   <!-- atcdabbr_entry_ExpositionsrisikoProblem -->
   <include href="include/1.2.40.0.34.6.0.11.3.21-2021-08-20T114318.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.21-2021-08-20T114318-closed.sch"/>
   <!-- atcdabbr_entry_impfPlan -->
   <include href="include/1.2.40.0.34.6.0.11.3.22-2021-02-19T124727.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.22-2021-02-19T124727-closed.sch"/>
   <!-- atcdabbr_entry_ImmunizationImpfungNichtAngegeben -->
   <include href="include/1.2.40.0.34.6.0.11.3.28-2021-04-30T080924.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.28-2021-04-30T080924-closed.sch"/>
   <!-- atcdabbr_entry_ImmunizationRecommendation -->
   <include href="include/1.2.40.0.34.6.0.11.3.3-2021-08-04T133543.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.3-2021-08-04T133543-closed.sch"/>
   <!-- atcdabbr_entry_ImmunizationBillability -->
   <include href="include/1.2.40.0.34.6.0.11.3.5-2021-02-19T124642.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.5-2021-02-19T124642-closed.sch"/>
   <!-- eimpf_entry_ImpfrelevanteErkrankungenProblemConcern -->
   <include href="include/1.2.40.0.34.6.0.11.3.8-2021-05-18T073106.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.8-2021-05-18T073106-closed.sch"/>
   <!-- eimpf_entry_ImpfrelevanteErkrankungProblemEntry -->
   <include href="include/1.2.40.0.34.6.0.11.3.9-2021-08-04T134115.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.3.9-2021-08-04T134115-closed.sch"/>
   <!-- atcdabbr_other_ParticipantBodyTranscriber -->
   <include href="include/1.2.40.0.34.6.0.11.9.14-2021-08-04T154113.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.9.14-2021-08-04T154113-closed.sch"/>
   <!-- atcdabbr_other_PerformerBody -->
   <include href="include/1.2.40.0.34.6.0.11.9.17-2021-02-19T133615.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.9.17-2021-02-19T133615-closed.sch"/>
   <!-- atcdabbr_other_PerformerBodyImpfendePerson -->
   <include href="include/1.2.40.0.34.6.0.11.9.21-2021-05-12T073318.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.9.21-2021-05-12T073318-closed.sch"/>
   <!-- atcdabbr_other_PerformerBodyLaboratory -->
   <include href="include/1.2.40.0.34.6.0.11.9.28-2021-02-19T133632.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.9.28-2021-02-19T133632-closed.sch"/>
   <!-- atcdabbr_other_vaccineProductNichtAngegeben -->
   <include href="include/1.2.40.0.34.6.0.11.9.31-2021-02-19T133513.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.9.31-2021-02-19T133513-closed.sch"/>
   <!-- atcdabbr_other_vaccineProduct -->
   <include href="include/1.2.40.0.34.6.0.11.9.32-2021-02-19T133722.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.9.32-2021-02-19T133722-closed.sch"/>
   <!-- atcdabbr_other_ParticipantBodyVerifier -->
   <include href="include/1.2.40.0.34.6.0.11.9.44-2021-08-04T122820.sch"/>
   <include href="include/1.2.40.0.34.6.0.11.9.44-2021-08-04T122820-closed.sch"/>

</schema>
